Skip to main content

Port Statistics API (DEPRECATED)

Conditions préalables

Authentifier - Soumettez vos informations d'identification de l'utilisateur, l'ID du client et le secret du client pour l'authentification OAuth2. Reportez-vous à API Authentication pour savoir comment appeler l'API OAuth afin de valider et d'authentifier vos informations d'identification.

Obtenir les statistiques d'un port spécifié

Pour récupérer les statistiques d'utilisation de la bande passante du port, envoyez une requête GET au point de terminaison /fabric/v4/ports/{uuid}/stats. Spécifiez le port par ID dans le chemin de la requête. Spécifiez la période de temps pour les statistiques en tant que paramètres de requête en utilisant les horodatages standard ISO-8601.

MethodGET
URL or Endpoint/fabric/v4/ports/{uuid}/stats
HeadersAuthorization, Content-Type
Path Parametersuuid
Query ParametersstartDateTime, endDateTime
Body ParametersNot applicable

Exemple de requête cURL :

curl -X GET 'https://api.equinix.com/fabric/v4/ports/{port_id}/stats?startDateTime=2021-01-07T19:26:22Z&endDateTime=2021-01-26T19:55:22Z'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'

Exemple de réponse :

{
    "type": "XF_PORT",
    "uuid": "xxxxx191-xx70-xxxx-xx04-xxxxxxxa37xx",
    "name": "Equinix-EM-CX-xxx-L-Dot1q-BO-100G-PRI-xx",

    "bandwidth": 10000,
    "stats": {
        "startDateTime": "2021-02-24T16:00:00Z",
        "endDateTime": "2021-02-25T23:59:44Z",
        "bandwidthUtilization": {
        "unit": "Mbps",
        "metricInterval": "PT5M",
        "inbound": {
            "max": 36.46022222224523,
            "mean": 12.681258259259257,
            "lastPolled": 24.67873548,
            "metrics": [
            {
                "intervalEndDateTime": "2021-02-24T16:00:00Z",
                "max": 24.197777777777777,
                "mean": 9.460203703703565
            },
            {
                "intervalEndDateTime": "2021-02-24T16:05:00Z",
                "max": 29.237066666666667,
                "mean": 11.487487592592595
            },
            {
                "intervalEndDateTime": "2021-02-24T16:10:00Z",
                "max": 31.2726757889999,
                "mean": 11.77661203703704
            },
            {
                "intervalEndDateTime": "2021-03-04T16:15:00Z",
                "max": 28.179666666666666,
                "mean": 7.414631481481509
            },
            {
                "intervalEndDateTime": "2021-03-15T16:20:00Z",
                "max": 29.29311111111111,
                "mean": 6.247431481481508
            }
            ]
        },
        "outbound": {
            "max": 60.33548888888889,
            "mean": 41.22711543985719,
            "lastPolled": 55.14977777777778,
            "metrics": [
            {
                "intervalEndDateTime": "2021-02-24T16:00:00Z",
                "max": 53.790333333333336,
                "mean": 39.80057592592591
            },
            {
                "intervalEndDateTime": "2021-02-24T16:05:00Z",
                "max": 57.353,
                "mean": 38.678568800295
            },
            {
                "intervalEndDateTime": "2021-02-24T16:10:00Z",
                "max": 59.32777777777778,
                "mean": 35.08689444444445
            },
            {
                "intervalEndDateTime": "2021-02-24T16:15:00Z",
                "max": 537274933333333300,
                "mean": 23.855259259259284
            },
            {
                "intervalEndDateTime": "2021-02-24T16:20:00Z",
                "max": 57.75604444444444,
                "mean": 41.36731129629629
            }
            ]
        }
        }
    }
}

Pour une description détaillée des champs de réponse, consultez la [Référence API] (/api-catalog/fabricv4/#tag/Statistics/operation/getPortStatsByPortUuid).

Cette page vous a-t-elle été utile ?